// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystem;

import com.ctre.phoenix.motorcontrol.can.TalonSRX;
import com.ctre.phoenix.motorcontrol.can.WPI_TalonSRX;
import com.revrobotics.CANSparkMax;

import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;

public class Balayeuse extends SubsystemBase {
  /** Creates a new Balayeuse. */  
 
  public Balayeuse() {}
  final WPI_TalonSRX roue = new WPI_TalonSRX(Constants.roue);
  final TalonSRX etoile = new TalonSRX(Constants.etoile);

  public void Accumulation(double vitesse){
    roue.set(vitesse);
  }
  public void balayeuse(){
    etoile.follow(roue);
    etoile.setInverted(true);
  }
  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
